# Window (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel
Class Window

    java.lang.Object
      net.schmizz.sshj.connection.channel.Window

Direct Known Subclasses:
  Window.Local, Window.Remote

    public abstract class Window

extends Object

Nested Class Summary
`static class` `Window.Local` Controls how much data remote end can send before an adjustment notification from us is required.
`static class` `Window.Remote` Controls how much data we can send before an adjustment notification from remote end is required.

Field Summary
`protected Object` `lock`
`protected org.slf4j.Logger` `log`
`protected int` `maxPacketSize`
`protected int` `size`

Constructor Summary
`Window(int initialWinSize, int maxPacketSize)`

Method Summary
`void` `consume(int dec)`
`void` `expand(int inc)`
`int` `getMaxPacketSize()`
`int` `getSize()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected final org.slf4j.Logger log

### lock

    protected final Object lock

### maxPacketSize

    protected final int maxPacketSize

### size

    protected int size

Constructor Detail

### Window

    public Window(int initialWinSize,
                  int maxPacketSize)

Method Detail

### expand

    public void expand(int inc)

### getMaxPacketSize

    public int getMaxPacketSize()

### getSize

    public int getSize()

### consume

    public void consume(int dec)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.